Subject: unit name for /soc in device tree

From: Mike Ditto <[email-masked]>
Date: Fri, 03 Oct 2008 13:13:17 -0700

Hi,

I'm starting a scratch port of Linux 2.6 to an MPC8272 board that currently
runs 2.4 (MontaVista).

Documentation/powerpc/booting-without-of.txt says:
    The name of an soc
    node should start with "soc", and the remainder of the name should
    represent the part number for the soc.  For example, the MPC8540's
    soc node would be called "soc8540".

So I used the unit name "soc8272@f0000000" in my .dts file.

But arch/powerpc/boot/cpm-serial.c does:
	muram = finddevice("/soc/cpm/muram/data");

And that doesn't work if I follow the naming convention suggested.
I changed the .dts file to use the name "soc" instead of "soc8272" and
now the boot serial driver works.  Is that the right way to go?  Or
will this lead to problems in the kernel later (I'm not that far yet)?

					-=] Mike [=-